package com.dammfine.xmltidy;

import java.io.IOException;
import java.io.OutputStream;

import org.jdom.Document;
import org.jdom.output.Format;
import org.jdom.output.XMLOutputter;

/*
 *
 * History:
 *
 * Started off as a simple Xbel formatter for the links.xml, so the format
 * would always be nicely indented.
 *
 * Added a mechanism to the formatter to add today's date to nodes with no
 * date.
 *
 * Then the formatter generated IDs for nodes with no ids (by string
 * manip of the title)
 *
 * Then checked for duplicate IDs.
 *
 * Then added titles to alias noded with no title.
 *
 * Added stats: #folders and #aliases, in addition to #bookmarks.
 *
 * ^^ -- Thu Aug 28 11:09:35 PDT 2003
 *
 * Wed Sep 17 10:55:03 PDT 2003:
 * Changed to fix for latest JDom (beta9)
 *
 * TODO: Bookmark structure is checked, but folders without titles
 * aren't discovered.  Also, malformed elements such as "bookmrak"
 * lie undetected.
 *
 * 2005-01-24
 * Changed to fix for latest JDom (1.0)
 * 
 * 2004-01-26 
 * Major reworking into a proper project.
 *  - Split into three projects.
 *
 */

public class XmlFormat
{
	public void output(Document doc, OutputStream os) throws IOException
	{
		Format outformat = Format.getRawFormat();
		outformat.setLineSeparator("\n");
		outformat.setIndent("\t");
		outformat.setTextMode(Format.TextMode.TRIM);

		XMLOutputter out = new XMLOutputter(outformat);
		out.output(doc, os);
	}
}

